#
# spec file for package python-ghettoq (Version 0.4.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ghettoq
Version:        0.4.5
Release:        1.1
License:        BSD License
Summary:        Ghetto Queue using Redis or Django Models
Url:            http://github.com/ask/ghettoq
Group:          Development/Libraries/Python
Source:         ghettoq-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
Hhettoq is a ghetto queue framework, used to implement Redis and
Django database support for carrot.

Author:
--------
    Ask Solem <askh@opera.com>

%prep
%setup -q -n ghettoq-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES


%files -f INSTALLED_FILES
%defattr(-,root,root)
%changelog
* Wed Sep 29 2010 alexandre@exatati.com.br
- Update to 0.4.5.
* Sat Aug 28 2010 alexandre@exatati.com.br
- Update t0 0.4.4.
* Wed Jul 21 2010 alexandre@exatati.com.br
- Update to 0.4.1.
* Wed Jul 14 2010 alexandre@exatati.com.br
- Update to 0.4.0;
- Fixed License tag in spec file.
* Mon Jul  5 2010 alexandre@exatati.com.br
- Initial package (0.1.2) for openSUSE.
